Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
sssssn

xin hỏi cách sửa block

Các bài được khuyến nghị

sssssn    0

Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
abcd    95
Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.

 

bạn có thể dùng lệnh Bedit để sửa rối save as thành 1 block với tên khác

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123
bạn có thể dùng lệnh Bedit để sửa rối save as thành 1 block với tên khác

Bạn hãy tham khảo cái lisp này của bác Tue_NV đã post lên xem nhé.

http://www.cadviet.com/upfiles/2/attribute...on_suite_v6.lsp

Nếu không đúng yêu cầu của bạn thì bạn cần nói rõ hơn là bạn cần sửa cái block đó như thế nào. Tốt nhất là bạn nên gửi bản vẽ cái block trước khi sửa và cái hình ảnh block bạn muốn có sau khi sửa bạn nhé. Hãy gửi bản vẽ dạng Cad2004 nhé.

Chúc bạn vui.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.372
đề nghị bác bình chuyển xang CAD đời cao hơn đi nhé, bác xài con 2004 hơi lâu rồi đấy

bác Bình xài con 2004 là hoành tráng lắm rồi chứ mình thì dùng tới R14 lận đó :tongue2: . Quan trọng là khi mình nhờ mọi người giúp sao không làm cách nào để mọi người đều tiếp cận được với thông tin của mình 1 cách dể nhất. Khi dùng cad2007 thì việc lưu về định dạng cadr14 là quá đơn giản mà. Hãy quan niên rằng có người vẫn dùng cad đời thấp vì 1 lý do nào đó nhưng vẫn có khả năng giúp cho yêu cầu của bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.

Tue_NV có ý kiến như thế này :

1. Tạo 1 Block mới giống y block cũ nhưng có thêm thắt đối tượng gì là tuỳ bạn. Cái này Tue_NV gọi là Source object. Và Source object có điểm chèn giống y với các block cũ. (Block cũ gọi là destination object)

 

2. Ta thực hiện lệnh MAB (Matprop Block) : từ đối tượng Source object cho các destination object

Trong file mà bạn sssssn gửi mình thấy điểm chèn khá xa so với đối tượng, và mình đã làm lại và gửi file kèm theo hướng dẫn việc sử dụng Lisp MAB (Matprop Block)

 

File để thực hiện Lisp MAB đó đây : http://www.cadviet.com/upfiles/2/edit_blog.dwg

 

Lisp đây . Các bạn thử nhé :

 

(defun c:mab(/ ent ss name tlx tly ang i n point)

(princ "\n Copyright by TUE_NV")

(command "undo" "be")

(setq ent (car(entsel "\n Pick chon Block source :")))

(prompt "\n Select destination objects :")

(setq ss (ssget '((0 . "INSERT"))) i 0 n (sslength ss))

 

(setq name (cdr (assoc 2 (entget ent))))

(setq tlx (cdr (assoc 41 (entget ent))))

(setq tly (cdr (assoc 42 (entget ent))))

(setq ang (cdr (assoc 50 (entget ent))))

 

(while (< i n)

(setq enti (ssname ss i))

(setq point (cdr (assoc 10 (entget enti))))

(command "insert" name point tlx tly ang)

(setq i (1+ i))

)

 

(command "erase" ss "")

 

(princ (strcat "\n Co " (itoa n) " doi tuong thay doi :"))

(command "undo" "end")

)

 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
sssssn    0

làm như bác tue thì sẽ phải tạo 1 block khác giống cái muốn tạo rồi dùng lệnh MAB. nhưng mình muốn chỉnh sửa ngay block đó để cho nó vẫn thuộc block cũ chứ ko nhảy sang block khác. Cách mình muốn làm giống như video của bác Trinhvqh nhưng không thấy có mục "AEC modify tools" ở đâu cả. mong các bác chỉ giúp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trinhvqh    222

:tongue2:

Bạn dùng Cad 2010 vẫn không có AEC Modify thì đúng rồi

Cái tôi dùng để tạo video trên là Autocad Architecture 2009 (ACA)

.....

Nhưng thôi, vấn đề nhỏ

Nếu để chuyển sang dùng ACA thì không đáng cho lắm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×